/* @(#)x_utils.h	1.16 for x.c 11/23/95 */

#ifndef __X_UTILS.H__
#define __X_UTILS.H__

#define ERROPEN		1
#define ERREOF		2
#define ERRBAD		3
#define ERRSEXEQ	4
#define ERRHAP		5
#define ERRNOMEM	6
#define ERR2MANY	7
#define ERR2BIG		8
#define ERRFAIL		9
#define ERRSYNTAX	10

#define LOG_SYSTEM	0
#define LOG_EMERG	1
#define LOG_ALERT	2
#define LOG_CRIT	3
#define LOG_ERR		4
#define LOG_WARNING	5
#define	LOG_NOTICE	6
#define LOG_INFO	7
#define LOG_DEBUG	8

int putlog();
int die();
int isnoise();
char *getline();
char *firstword();
char *thisword();
char *nextword();
int strtoi();
float strtof();
char *pretty();
MAPELEMENT *lookup();

#ifdef ULTRIX
char *strdup();
#endif

#endif
