/* @(#)config.h	1.16 for x.c 11/23/95 */

#ifndef __CONFIG.H__
#define __CONFIG.H__


/* Don't edit anything above this line */

#define LOGFILE "x.log"
#define OUTFILE "x.out"
#define DATFILE "x.dat"
#define HAPFILE "x.hap"
#define RCFILE "x.rc"
#define LINEBUFSIZE 1001
#define FILEBUFSIZE (1024 * 32)
#define MAXHAPSIZE 25
#define MAXHAP 100
#define MAXLOC 601
#define MAXMAP 200

/* The following are defaults only, and can be overwritten by
	settings in the x.rc file. */

#define CHROMPIC "chrompic"
#define MINSCORE 50
#define FAM_LIKE_TOL 0.9
#define TYP_PER_CM_TOL 1.0
#define FEMALE_MAP_TOL 20.0
#define MALE_MAP_TOL 20.0
#define PUK_SCORE_FACTOR 0.0
#define VERBOSITY 6

/* Don't edit anything below this line */

#define MAGIC_COOKIE "# ![{&}] (-: Breakpoint Data :-)"

static char config_sccs_id[] = "@(#)config.h	1.16\t11/23/95";

#endif
