/* @(#)rcparse.h	1.16 11/23/95 */

#define TOK_BAD		0
#define TOK_ID		1
#define TOK_STR		2
#define TOK_INT		3
#define TOK_REAL	4
#define TOK_SYM		5
#define TOK_EOF		6


#ifdef __MAIN__

char *toktypes[] = {
	"bad token",
	"keyword",
	"quoted filename",
	"positive integer number",
	"positive floating-point number",
	"punctuation character",
	"end of file marker"
};

int ch, toktype, intval;
float realval;
char *cp = NULL;
char tok[LINEBUFSIZE];
FILE *rc;
int rcline = 0;

#else

extern char *toktypes[];
extern int ch, toktype, intval;
extern float realval;
extern char *cp;
extern char tok[LINEBUFSIZE];
extern FILE *rc;
extern int rcline;

#endif

int next_char();
char *get_next_tok();
char *next_tok();
int mustbe();
int have();
int expect();
